package MT::Plugin::NakedSlideFilter;
use strict;

require MT::Plugin;

# Naked Slide v0.2 NakedSlideFilter.pl --  Creative Common Lisense BY-NC-SA 2.1 JP
# Please see http://alfasado.net/contents/labs.html for information
# (c) Alfasado,Inc Some Rights Reserved.

@MT::Plugin::NakedSlideFilter::ISA = qw(MT::Plugin);

our $version = "0.1";

my $plugin = new MT::Plugin::NakedSlideFilter({
	name => 'NakedSlideFilter',
	version => $version,
	description => 'Setting className to Element for NakedSlide',
	author_name => 'Alfasado, Inc.',
	author_link => 'http://alfasado.net/',
	doc_link => 'http://alfasado.net/contents/labs.html',
});

MT->add_plugin($plugin);

MT::Template::Context->add_global_filter(NakedSlideFilter => \&_NakedSlideFilter);

sub _NakedSlideFilter {
	my($text, $arg, $ctx) = @_;
	if ($arg) {
		my @plug_args = split(/\,/,$arg);
		my $total = @plug_args;
		$total--;
		for (0..$total) {
			my $ele = $plug_args[$_];
			$text =~ s/<$ele.*?>/<$ele class="nakedSlidePoint">/gi;
		}
	}
	return $text;
}

1;